org.apache.lucene.codecs.lucene40

## Class Lucene40PostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.lucene40.Lucene40PostingsFormat

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

  Deprecated.
  Only for reading old 4.0 segments

      @Deprecated
      public class Lucene40PostingsFormat
      extends PostingsFormat

  Lucene 4.0 Postings format.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene40PostingsFormat()` Deprecated. Creates `Lucene40PostingsFormat` with default settings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldsConsumer` | `fieldsConsumer(SegmentWriteState state)` Deprecated.
    `FieldsProducer` | `fieldsProducer(SegmentReadState state)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

      `availablePostingsFormats, forName, getName, reloadPostingsFormats`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene40PostingsFormat

          public Lucene40PostingsFormat()

      Deprecated.
      Creates `Lucene40PostingsFormat` with default settings.

  - ### Method Detail

    - #### fieldsConsumer

          public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                        throws IOException

      Deprecated.
      Specified by:
        `fieldsConsumer` in class `PostingsFormat`
      Throws:
        `IOException`

    - #### fieldsProducer

          public final FieldsProducer fieldsProducer(SegmentReadState state)
                                              throws IOException

      Deprecated.
      Specified by:
        `fieldsProducer` in class `PostingsFormat`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `PostingsFormat`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.